"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
require("rxjs/add/operator/map");
var campanya_service_1 = require("../service/campanya.service");
var constants_class_1 = require("../../common/constants-class");
var ConsultarCitaGuard = (function () {
    function ConsultarCitaGuard(campanyaService, router, activatedRoute) {
        this.campanyaService = campanyaService;
        this.router = router;
        this.activatedRoute = activatedRoute;
        this.campanyaId = constants_class_1.ContantsClass.ID_CAMPANYA;
    }
    ConsultarCitaGuard.prototype.canActivate = function (route, state) {
        var url = state.url;
        var alternativeUrl = constants_class_1.ContantsClass.URL_RESERVAR_CITA;
        var lang = route.params["lang"];
        return this.checkPermiteConsultarCita(alternativeUrl, lang);
    };
    ConsultarCitaGuard.prototype.checkPermiteConsultarCita = function (alternativeUrl, lang) {
        var _this = this;
        return this.campanyaService.findCampanya(this.campanyaId).map(function (result) {
            if (result) {
                var campanya = result;
                var permite = campanya && campanya.permiteConsultarCita;
                console.log("permiteConsultarCita: " + permite);
                if (!permite) {
                    var myRoute = (lang) ? [alternativeUrl, { lang: lang }] : [alternativeUrl];
                    _this.router.navigate(myRoute);
                }
            }
            return true;
        });
    };
    ConsultarCitaGuard.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    ConsultarCitaGuard.ctorParameters = function () { return [
        { type: campanya_service_1.CampanyaService, },
        { type: router_1.Router, },
        { type: router_1.ActivatedRoute, },
    ]; };
    return ConsultarCitaGuard;
}());
exports.ConsultarCitaGuard = ConsultarCitaGuard;
//# sourceMappingURL=consultar-cita-guard.service.js.map