"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = require("bitfront-library/shared/index");
var ErrorHandler = (function () {
    function ErrorHandler() {
    }
    ErrorHandler.getCustomError = function (error) {
        var lastUrlAcceded = error.url;
        var innerError = error.error; //intentamos parsear error.error para ver si nos ha llegado un pete controlado del servidor
        var customError;
        if (innerError && (innerError['notificacion'] || innerError['trazaError'])) {
            //el error es controlado del servidor
            customError = innerError;
        }
        else {
            //el error es un problema de comunicaciones o del propio cliente Angular
            if (error.status || error.status === 0) {
                //caso jetty o error controlado del servidor
                console.log("HTTP Error con status " + error.status);
                if (error.status >= 300 && error.status < 500) {
                    customError = new index_1.Error(lastUrlAcceded, "Error d'accés o de connexió: No s'ha trobat la informació sol·licitada", "Error de acceso o de conexión: No se ha encontrado la información solicitada", undefined, true, null);
                }
                else {
                    customError = new index_1.Error(lastUrlAcceded, "S'ha produït un error en el servidor; per favor, esperi uns segons i torni a realitzar la mateixa acció", "Se ha producido un error en el servidor; por favor, espere unos segundos y vuelva a realizar la misma acción", undefined, true, null);
                }
            }
            else {
                customError = new index_1.Error(lastUrlAcceded, error.message, error.message, error.error);
            }
        }
        return customError;
    };
    ;
    return ErrorHandler;
}());
exports.ErrorHandler = ErrorHandler;
//# sourceMappingURL=error-handler.js.map